com.mysql.jdbc

## Interface CacheAdapterFactory<K,V>

All Known Implementing Classes:
  PerConnectionLRUFactory, PerVmServerConfigCacheFactory

    public interface CacheAdapterFactory<K,V>

### Method Summary

Methods
`CacheAdapter<K,V>` `getInstance(Connection forConn, java.lang.String url, int cacheMaxSize, int maxKeySize, java.util.Properties connectionProperties)`

### Method Detail

#### getInstance

    CacheAdapter<K,V> getInstance(Connection forConn,
                                java.lang.String url,
                                int cacheMaxSize,
                                int maxKeySize,
                                java.util.Properties connectionProperties)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`